Module org.wildfly.plugin.core
Package org.wildfly.plugin.core

## Class GalleonUtils

- java.lang.Object
- - org.wildfly.plugin.core.GalleonUtils

-     public class GalleonUtils
      extends Object

  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GalleonUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildConfig​(Path provisioningFile)` | Build a Galleon provisioning configuration based on a provisioning.xml file.
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildConfig​(org.jboss.galleon.ProvisioningManager pm, List<FeaturePack> featurePacks, List<String> layers, List<String> excludedLayers, Map<String,​String> pluginOptions, String layersConfigFileName)` | Build a Galleon provisioning configuration.
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildDefaultConfig()` | Build a default WildFly provisioning config.
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildDefaultConfig​(String version)` | Build a default WildFly provisioning config.
    `static void` | `provision​(Path jbossHome, String version, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)` | Galleon provisioning of a default server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleonUtils

          public GalleonUtils()

  - ### Method Detail

    - #### provision

          public static void provision​(Path jbossHome,
                                       String version,
                                       org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)
                                throws org.jboss.galleon.ProvisioningException

      Galleon provisioning of a default server.
      Parameters:
        `jbossHome` - Server installation directory
        `version` - WildFly version, if null latest is used.
        `artifactResolver` - Artifact resolver used by Galleon
      Throws:
        `org.jboss.galleon.ProvisioningException`

    - #### buildDefaultConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildDefaultConfig()
                                                                                throws org.jboss.galleon.ProvisioningDescriptionException

      Build a default WildFly provisioning config.
      Returns:
      Throws:
        `org.jboss.galleon.ProvisioningDescriptionException`

    - #### buildDefaultConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildDefaultConfig​(String version)
                                                                                throws org.jboss.galleon.ProvisioningDescriptionException

      Build a default WildFly provisioning config.
      Parameters:
        `version` - WildFly version, if null latest is used.
      Returns:
      Throws:
        `org.jboss.galleon.ProvisioningDescriptionException`

    - #### buildConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildConfig​(Path provisioningFile)
                                                                         throws org.jboss.galleon.ProvisioningException

      Build a Galleon provisioning configuration based on a provisioning.xml file.
      Parameters:
        `provisioningFile` -
      Returns:
        The provisioning config.
      Throws:
        `org.jboss.galleon.ProvisioningException`

    - #### buildConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildConfig​(org.jboss.galleon.ProvisioningManager pm,
                                                                                List<FeaturePack> featurePacks,
                                                                                List<String> layers,
                                                                                List<String> excludedLayers,
                                                                                Map<String,​String> pluginOptions,
                                                                                String layersConfigFileName)
                                                                         throws org.jboss.galleon.ProvisioningException,
                                                                                IllegalArgumentException

      Build a Galleon provisioning configuration.
      Parameters:
        `pm` - The Galleon provisioning runtime.
        `featurePacks` - The list of feature-packs.
        `layers` - Layers to include.
        `excludedLayers` - Layers to exclude.
        `pluginOptions` - Galleon plugin options.
        `layersConfigFileName` - The name of the configuration generated from layers
      Returns:
        The provisioning config.
      Throws:
        `org.jboss.galleon.ProvisioningException`
        `IllegalArgumentException`